> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chatbot Config

> Returns the chatbot config for the AI Assistant based on the ID supplied



## OpenAPI

````yaml openapi-ai-assistants GET /public/ai-assistants/chatbot-config/{assistant_id}
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /public/ai-assistants/chatbot-config/{assistant_id}:
    get:
      description: Returns the chatbot config for the AI Assistant based on the ID supplied
      parameters:
        - name: assistant_id
          in: path
          description: ID of AI Assistant to return chatbot config
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Chatbot config response
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    description: A success message
                    example: Chatbot config created successfully
                  err:
                    type: boolean
                    description: If the request is an error
                    example: false
                  results:
                    type: object
                    properties:
                      chatbot_logo:
                        type: string
                        format: uri
                        nullable: true
                        description: The chatbot logo of the AI Assistant
                      chatbot_accent_color:
                        type: string
                        nullable: true
                        description: The chatbot accent color of the AI Assistant
                        example: '#000000'
                      chatbot_faq:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            answer:
                              type: string
                              description: The answer of the chatbot FAQ
                              example: The answer to the question
                            question:
                              type: string
                              description: The question of the chatbot FAQ
                              example: The question
                      chatbot_whitelisted_domains:
                        type: array
                        nullable: true
                        items:
                          type: string
                      name:
                        type: string
                      voice:
                        type: object
                        nullable: true
                        properties:
                          voice_id:
                            type: string
                          name:
                            type: string
                          avatar:
                            type: string
                            format: uri
                          gender:
                            type: string
                          demo_audio_url:
                            type: string
                            format: uri
                          is_cloned:
                            type: boolean
                          language:
                            type: string
                          description:
                            type: string
                            nullable: true
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        err:
          type: boolean
        msg:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````